Bug 5086 - claim date broken in serials
Summary: claim date broken in serials
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL: /cgi-bin/koha/serials/claims.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-04 11:03 UTC by Katrin Fischer
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
wrong claim date in serials (36.36 KB, image/png)
2010-08-04 11:03 UTC, Katrin Fischer
Details
Proposed Patch (1022 bytes, patch)
2010-08-04 12:01 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-08-04 11:03:04 UTC
Created attachment 2449 [details]
wrong claim date in serials

If you claim issues in serials claim date is set to 0000-00-00.

I tried different dateformat sys pref settings.

Tested with Koha version 3.01.00.145
Comment 1 Colin Campbell 2010-08-04 12:00:52 UTC
The code that sets the date was omitting the necessary quotes around the date
Comment 2 Colin Campbell 2010-08-04 12:01:49 UTC
Created attachment 2451 [details] [review]
Proposed Patch
Comment 3 Galen Charlton 2010-10-06 11:46:48 UTC
Pushed an alternate version of the patch that also removes the SQL injection risk.  Please test and close.
Comment 4 Katrin Fischer 2010-10-10 22:14:21 UTC
Tested successfully with 3.2 RC. Closing bug.